Bug 14288 - gdict not starting (or starting too much ...)
gdict not starting (or starting too much ...)
Product: Red Hat Linux
Classification: Retired
Component: gnome-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2000-07-19 12:43 EDT by Michael Redinger
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-22 05:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2000-07-19 12:43:34 EDT
When starting gdict under KDE, I do get the message that the panel has
(Well, it should actually say that it needs the GNOME panel (does it?) ...)

When logging in via telnet and starting gdict, the whole GNOME panel is
(On the remote machine there's a KDE desktop running - RHAT 6.1. This
shouldn't matter - should be the same for a GNOME desktop).
Comment 1 Havoc Pennington 2000-07-19 19:47:58 EDT
gdict has a --noapplet option that may work around this, if that's useful for

Can you clarify the bug though:
 - what is the _exact_ error message when the panel doesn't start? I need 
   to use grep to find it, because I can't find the relevant code
 - if the panel starts up, is it starting up on the beta3 machine or the 6.1    
   machine, and which machine is the telnet client?
Comment 2 Michael Redinger 2000-07-20 05:00:58 EDT
Thanks, --noapplet works. The exact error messages.

(gnome window:)
Application "panel" (process 3289) has crashed
due to a fatal error.
(Segmentation fault)

(gnome window:)
Application "gdict" (process 3282) has crashed
due to a fatal error.
(Segmentation fault)

(command line:)
** WARNING **: file applet-widget.c: line 934: Corba Exception: type = 2 exid =

** WARNING **: Cannot start CORBA
Comment 3 Michael Redinger 2000-07-20 05:05:03 EDT
Forgot to answer your second question:
the remote machine (ie. the one from which I am doing the telnet to the beta 3
machine) is Red Hat Linux 6.1. The panel is started on the beta 3 machine and
displayed on my Red Hat 6.1 computer.
Comment 4 Elliot Lee 2001-02-01 13:18:15 EST
	1. gdict works under GNOME
	2. gdict --noapplet works anywhere
	3. The remote behaviour without --noapplet is expected (it would
	start a panel in order to be an applet inside the panel).
I think it is best to declare this NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.